Loading...
Searching...
No Matches
BALL::VIEW::SimpleBox Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/simpleBox.h>`

Inheritance diagram for BALL::VIEW::SimpleBox:

## Public Member Functions

Constructors
| SimpleBox ()
| SimpleBox (const SimpleBox &box)
Destructors
virtual | ~SimpleBox ()
virtual void | clear ()
Assignment methods
void | set (const SimpleBox &box)
const SimpleBox & | operator= (const SimpleBox &box)
debuggers and diagnostics
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::TSimpleBox3< float >
| TSimpleBox3 ()
| TSimpleBox3 (const TSimpleBox3 &box)
| TSimpleBox3 (const TVector3< float > &a, const TVector3< float > &b)
| TSimpleBox3 (const float &ax, const float &ay, const float &az, const float &bx, const float &by, const float &bz)
virtual | ~TSimpleBox3 ()
void | set (const TSimpleBox3 &box)
void | set (const TVector3< float > &lower, const TVector3< float > &upper)
void | set (const float &ax, const float &ay, const float &az, const float &bx, const float &by, const float &bz)
const TSimpleBox3 & | operator= (const TSimpleBox3 &box)
void | get (TSimpleBox3 &box) const
void | get (TVector3< float > &lower, TVector3< float > &upper) const
void | get (float &ax, float &ay, float &az, float &bx, float &by, float &bz) const
void | swap (TSimpleBox3 &box)
float | getSurface () const
float | getVolume () const
float | getWidth () const
float | getHeight () const
float | getDepth () const
void | join (const TSimpleBox3 &box)
bool | operator== (const TSimpleBox3 &box) const
bool | operator!= (const TSimpleBox3 &box) const
bool | has (const TVector3< float > &point, bool on_surface=false) const
bool | isIntersecting (const TSimpleBox3 &box) const
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const

## Additional Inherited Members

Public Attributes inherited from BALL::TSimpleBox3< float >
TVector3< float > | a
TVector3< float > | b

## Detailed Description

SimpleBox class.
An instance of this class represents an instance of the geometric representation of a simple box. A simpleBox is a box whose sides are parallel to the coordinate axes. The class SimpleBox is derived from the classes GeometricObject and SimpleBox3. See these classes for further information concerning interface and additional methods.

Definition at line 33 of file simpleBox.h.

## Constructor & Destructor Documentation

## SimpleBox() [1/2]

BALL::VIEW::SimpleBox::SimpleBox | ( |  | ) |

Default Constructor. The properties of this SimpleBox are set to:

- color - to the color black

## SimpleBox() [2/2]

BALL::VIEW::SimpleBox::SimpleBox | ( | const SimpleBox & | box | ) |

Copy constructor with cloning facility.

## ~SimpleBox()

virtual BALL::VIEW::SimpleBox::~SimpleBox | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::SimpleBox::clear | ( |  | ) |

virtual

Explicit default initialization. Calls GeometricObject::clear Calls SimpleBox3::clear

Reimplemented from BALL::TSimpleBox3< float >.

## dump()

virtual void BALL::VIEW::SimpleBox::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this SimpleBox to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls SimpleBox3::dump.

Parameters

  s | output stream where to output the value of this SimpleBox
  depth | the dumping depth

See also
  GeometricObject::dump
  SimpleBox::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getVertices()

virtual void BALL::VIEW::SimpleBox::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::SimpleBox::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this SimpleBox. If the internal state of this SimpleBox is correct (self-validated) and consistent true is returned, false otherwise. Calls GeometricObject::isValid. Calls SimpleBox3::isValid.

See also
  GeometricObject::isValid
  SimpleBox3::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const SimpleBox & BALL::VIEW::SimpleBox::operator= | ( | const SimpleBox & | box | ) |

Assignment operator.

## set()

void BALL::VIEW::SimpleBox::set | ( | const SimpleBox & | box | ) |

Assignment.